
QGIS Application - Bug report #17615

Can't install latest QGIS 2.18.14 with ubuntugis dependencies on Linux Mint 18 (/ubuntu 16.04) 

2017-12-04 05:02 AM - Richard Lang

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.14 Regression?: No

Operating System: Linux Mint 18.0 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25512

Description

Following instructions for debian/ubuntu install (https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu).

https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable rolled their version of GDAL to 2.2.2 on 23rd Nov, however as of 4th

December even the nightly build of the ubuntugis package (https://qgis.org/ubuntugis-nightly-release/) is still specifying a dependency on

GDAL 2.2.1 and therefore failing to install.

Shouldn't the nightly build have picked up the updated dependency change automatically?

Related issues:

Duplicated by QGIS Application - Bug report # 18061:  Package qgis-plugin-gra... Closed 2018-02-08

Duplicated by QGIS Application - Bug report # 18052: QGIS 2.18 can no longer ... Closed 2018-02-06

History

#1 - 2017-12-04 06:18 AM - Richard Lang

See https://gis.stackexchange.com/questions/216780/cannot-install-qgis-2-18-from-repository-on-debian-stretch-package-gdal-abi-2 for a workaround -

creating a dummy gdal-abi-2-2-1 package.

#2 - 2017-12-04 08:37 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to invalid

Current qgis=1:2.18.14+git20171203+ad99686+24xenial-ubuntugis depends on gdal-abi-2-2-2

$ apt-cache show qgis=1:2.18.14+git20171203+ad99686+24xenial-ubuntugis

Package: qgis

Version: 1:2.18.14+git20171203+ad99686+24xenial-ubuntugis

Architecture: amd64

Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>

Installed-Size: 59881

Depends: gdal-abi-2-2-2, libc6 (>= 2.14), libgcc1 (>= 1:3.0), libgdal20 (>= 1.8.0), libgeos-c1v5 (>= 3.4.2), libgsl2, libqgis-analysis2.18.14,

libqgis-app2.18.14, libqgis-core2.18.14, libqgis-gui2.18.14, libqgis-networkanalysis2.18.14, libqt4-network (>= 4:4.5.3), libqt4-sql (>= 4:4.5.3),

libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.8.0), libqtgui4 (>= 4:4.8.0), libstdc++6 (>= 5.2), python-qgis (=

1:2.18.14+git20171203+ad99686+24xenial-ubuntugis), qgis-providers (= 1:2.18.14+git20171203+ad99686+24xenial-ubuntugis), qgis-common (=

1:2.18.14+git20171203+ad99686+24xenial-ubuntugis)

Recommends: qgis-plugin-globe, qgis-plugin-grass, qgis-provider-grass

Suggests: gpsbabel

2024-03-13 1/4

https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu
https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable
https://qgis.org/ubuntugis-nightly-release/
https://gis.stackexchange.com/questions/216780/cannot-install-qgis-2-18-from-repository-on-debian-stretch-package-gdal-abi-2


Conflicts: uim-qt3

Homepage: http://qgis.org/

Priority: optional

Section: science

Filename: pool/main/q/qgis/qgis_2.18.14+git20171203+ad99686+24xenial-ubuntugis_amd64.deb

Size: 15162400

SHA256: e350321cb91fc4a45bc5ddd5a79d38f28e0cc456d4f1216ca604844aad08b03d

SHA1: 3129bf29a8f129120eabef3f1c834cb135c123cd

MD5sum: f099f3f9aaf5c522e31fe7fc6e5f5314

Description-en: Geographic Information System (GIS)

 A Geographic Information System (GIS) manages, analyzes, and displays

 databases of geographic information. QGIS supports shape file viewing and

 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,

 map composition, and a number of other features via a plugin interface. QGIS

 also supports display of various georeferenced raster and Digital Elevation

 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII

 DEM.

Description-md5: 49f76973cc4c2bd4a16872b7a79659ad

#3 - 2017-12-04 07:11 PM - Richard Lang

Not seeing it reflected in the ubuntugis nightly build as of 4th December

https://qgis.org/ubuntugis-nightly-release/dists/xenial/main/binary-amd64/Packages

Package: libqgis-analysis2.18.13

Source: qgis

Version: 1:2.18.13+git20171025+adeb992+24xenial-ubuntugis

Architecture: amd64

Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>

Installed-Size: 8293

Depends: gdal-abi-2-2-1, libc6 (>= 2.14), libgcc1 (>= 1:3.0), libgdal20 (>= 1.8.0), libgeos-c1v5 (>= 3.4.2), libqgis-core2.18.13, libqt4-network (>=

4:4.6.1), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.5.3), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 4.9)

Replaces: libqgis2.18.13

Homepage: http://qgis.org/

Priority: optional

Section: libs

#4 - 2017-12-04 10:35 PM - Jürgen Fischer

Richard Lang wrote:

Not seeing it reflected in the ubuntugis nightly build as of 4th December

https://qgis.org/ubuntugis-nightly-release/dists/xenial/main/binary-amd64/Packages

[...]
Check libqgis-analysis2.18.14 - 2.18.13 is the previous point release.

$ curl -s https://qgis.org/ubuntugis-nightly-release/dists/xenial/main/binary-amd64/Packages | sed -ne "/^Package: libqgis-analysis2.18.14/,/^$/p" 

Package: libqgis-analysis2.18.14

Source: qgis

Version: 1:2.18.14+git20171203+ad99686+24xenial-ubuntugis

Architecture: amd64

Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>

Installed-Size: 8297

Depends: gdal-abi-2-2-2, libc6 (>= 2.14), libgcc1 (>= 1:3.0), libgdal20 (>= 1.8.0), libgeos-c1v5 (>= 3.4.2), libqgis-core2.18.14, libqt4-network (>=

4:4.6.1), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.5.3), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 4.9)

Replaces: libqgis2.18.14

Homepage: http://qgis.org/

Priority: optional

Section: libs

Filename: pool/main/q/qgis/libqgis-analysis2.18.14_2.18.14+git20171203+ad99686+24xenial-ubuntugis_amd64.deb

Size: 2904122

SHA256: 63190f35bdb19d765b275a82e56ab6c1df6c38231651bb711eb2ade4bca4240b

SHA1: 36cb9f9cb8656ec147736ef432fb218245692517

MD5sum: f5ddd6912622ee03c9267e9945b17638

Description: QGIS - shared analysis library

 QGIS is a Geographic Information System (GIS) which manages, analyzes and

 display databases of geographic information.

 .

 This package contains the shared analysis library.

#5 - 2017-12-07 09:32 PM - mesajs -

- Status changed from Closed to Reopened

Install is still failing.

https://qgis.org/ubuntugis/dists/xenial/main/binary-amd64/Packages shows a dependency on gdal-abi-2-2-1.

I note the nightly build for 2.18.14 (see https://qgis.org/ubuntugis-nightly-release/dists/xenial/main/binary-amd64/Packages) has dependency on

gdal-abi-2-2-2, but I don't want the nightly build.

My setup is Linux Mint 18.3 with the following additional software sources:

deb http://qgis.org/ubuntugis xenial main

deb-src http://qgis.org/ubuntugis xenial main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

#6 - 2017-12-07 11:18 PM - Richard Lang

I'd have thought that this was expected. The point releases are generated monthly and you won't see the updates present in the nightly build reflected till

the next one is generated.

#7 - 2017-12-08 04:57 AM - mesajs -
Understood. But it does make QGIS unstable, as it is now, something you would expect from the nightly build but not the latest release. Having a working

QGIS suddenly disappear off the desktop and not be re-installable for up to a month hardly encourages users.

OK, there is a work around. But my guess is that most QGIS users on Linux Mint are happy using the Software Manager to install applications, but are not

into workarounds that require use of the command line.

#8 - 2017-12-08 09:02 AM - Jürgen Fischer

- Status changed from Reopened to Closed

mesajs - wrote:

Understood. But it does make QGIS unstable, as it is now, something you would expect from the nightly build but not the latest release. Having a

working QGIS suddenly disappear off the desktop and not be re-installable for up to a month hardly encourages users.

Well, it's not QGIS that is unstable - it's the base you're using.  If you use plain ubuntu this wouldn't happen.  See note on 

https://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu.

#9 - 2018-02-08 12:51 PM - Andrei Bagaev

Seems that I have the same problem:

The following packages have unmet dependencies:

 python-qgis : Depends: python-qscintilla2 but it is not going to be installed

Any advice?

Linux Mint 18.3

#10 - 2018-02-08 07:20 PM - Jürgen Fischer

- Duplicated by Bug report #18061:  Package qgis-plugin-grass on ubuntu repositories added

#11 - 2018-02-08 07:20 PM - Jürgen Fischer

- Duplicated by Bug report #18052: QGIS 2.18 can no longer be installed on Debian unstable added
